h1 {
    margin: 0 0 40px 0;
}

h2 {
    font-size: 28px;
    line-height: 36px;
}

.blog-section {
    margin-bottom: 70px;
}

.blog-list {
    display: flex;
    flex-flow: row wrap;
    gap: 20px;
    max-width: 100%;
    position: relative;
}

.blog-list::before {
    display: block;
    display: block;
    content: '';
    background: linear-gradient(90deg, #EADF82 0%, #EFA75E 100%);
    opacity: 14%;
    width: 250px;
    height: 250px;
    right: 50px;
    top: 46%;
    border-radius: 50%;
    position: absolute;
}

.blog-list::after {
    display: block;
    display: block;
    content: '';
    background: linear-gradient(90deg, #EADF82 0%, #EFA75E 100%);
    opacity: 14%;
    width: 250px;
    height: 250px;
    left: 50px;
    bottom: -50px;
    border-radius: 50%;
    position: absolute;
}

.blog-list .blog-card {
    flex: 0 0 calc((100% - 60px) / 4);
    border-radius: 24px;
    overflow: hidden;
    padding: 5px;
    position: relative;
    z-index: 5;
}

.blog-list .blog-card.top-post {
    flex: 0 0 calc((100% - 25px) / 2);
}

.blog-list .blog-card:not(.top-post) {
    width: 100%;
    max-width: 310px;
}

.blog-card>* {
    position: relative;
    z-index: 3;
}

.blog-card:hover {
    background: rgba(255, 255, 255, 0.1);
}

.blog-card.top-post .blog-thumb {
    max-height: 240px;

}

.blog-thumb {
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
    aspect-ratio: 4 / 3;
    border-radius: 20px;
    max-height: 170px;

}

.blog-description {
    padding: 15px;
}

.blog-desc {
    margin: 20px 0;
}

.blog-meta {
    color: #888;
    font-size: 0.95rem;
    margin-bottom: 0.5rem;
}

.blog-header {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}

.blog-desc a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: none;
    font-family: var(--font-title);
    font-style: normal;
    font-weight: 500;
    font-size: 28px;
    line-height: 36px;
    color: rgba(255, 255, 255, 0.74);
}

.blog-desc:hover a {
    background: linear-gradient(90deg, #EADF82 0%, #EFA75E 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
}

time.post-public {
    font-family: var(--font-main);
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 24px;
    color: rgba(255, 255, 255, 0.74);
}

.blog-stats {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: center;
    flex: 0 0 auto;
    gap: 10px;
    font-size: 0.95rem;
    color: #555;
}

.blog-stats div {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 38px;
    padding: 0 10px;
    border-radius: 50px;
    gap: 5px;
    font-family: var(--font-main);
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 24px;
    color: #FFFFFF;
    position: relative;
    z-index: 0;
}

.blog-stats div>* {
    position: relative;
    z-index: 2;
}

.blog-stats div::before {
    border-radius: 50px;
}

.author {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    width: max-content;
    height: 70px;
    padding: 0 20px 0 5px;
    border-radius: 35px;
}

.author::before {
    border-radius: 35px;
}

.author-thumb {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    object-fit: cover;
}

.author-data {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.author-initials {
    font-family: var(--font-main);
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    text-align: left;
    color: #FFFFFF;
}

.author-initials:hover {
    background: linear-gradient(90deg, #EADF82 0%, #EFA75E 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
}

span.post-update {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-family: var(--font-main);
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    text-align: right;
    color: rgba(255, 255, 255, 0.74);
}

.blog-seo-content {
    display: flex;
    flex-flow: row;
    justify-content: space-between;
    gap: 20px;
    margin-top: 70px;
    position: relative;
}

.blog-seo-content::before {
    display: block;
    display: block;
    content: '';
    background: linear-gradient(90deg, #EADF82 0%, #EFA75E 100%);
    opacity: 14%;
    width: 500px;
    height: 500px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    position: absolute;
}

.blog-seo-content__item {
    padding: 30px;
    border-radius: 24px;
}

.blog-seo-content__item::before {
    border-radius: 24px;
}

.blog-seo-content__item>* {
    position: relative;
    z-index: 2;
}

.blog-seo-content__item h2 {
    margin: 0 0 10px 0;
}

.blog-seo-content__item-text {
    margin-bottom: 30px;
}

.blog-seo-content__item-text:last-child {
    margin-bottom: 0;
}

.blog-seo-content__item-text p {
    font-family: var(--font-main);
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 32px;
    color: rgba(255, 255, 255, 0.74);
}

@media (max-width: 1250px) {
    .blog-list {
        justify-content: space-evenly;
    }

    .blog-list .blog-card:not(.top-post) {
        flex: 1 1 260px;

    }
}

@media (max-width: 1100px) {
    h1.page-title {
        margin-bottom: 30px;
        font-size: 44px;
        line-height: 52px;
    }
}

@media (max-width: 1024px) {
    .blog-seo-content {
        margin-top: 50px;
    }

    .blog-list::after {
        bottom: -20px;
        left: -20px;
    }
}

@media (max-width: 768px) {
    .blog-seo-content {
        flex-flow: column;
    }
    /* .blog-card.top-post .blog-thumb {
        max-height:240px;
    } */
}

@media (max-width: 720px) {
    .blog-list {
        justify-content: center;
    }

    .blog-list .blog-card.top-post,
    .blog-list .blog-card:not(.top-post) {
        flex: 1 1 100%;
        max-width: 370px;
    }
}

@media (max-width: 650px) {
    h1.page-title {
        font-size: 32px;
        line-height: 41px;
        margin-bottom: 20px;
    }

    .blog-seo-content::before {
        display: none;
    }

    .blog-card .blog-thumb {
        max-height: 170px;
        aspect-ratio: 2 / 1;
    }
}

@media (max-width: 560px) {
    .blog-seo-content {
        margin-top: 40px;
        gap: 10px;
    }

    .blog-list::after {
        bottom: 14%;
        left: 50%;
        transform: translateX(-50%);
    }

    .blog-seo-content__item {
        padding: 15px;
    }

    .blog-seo-content__item-text {
        margin-bottom: 20px;
    }

    .blog-header {
        margin-bottom: 10px;
    }

    .blog-desc {
        margin: 10px 0;
    }

    .blog-desc a {
        font-size: 20px;
        line-height: 26px;
    }
}